Page MenuHomePhabricator

Disable fostering lint error for category and other transparent tags
Closed, ResolvedPublic

Description

Template:Episode_List generates HTML of the form <tr><td>...</td></tr>[[Category:Episode list using the default LineColor]] and that category link obviously gets fostered out of tables where the template gets transcluded. Since this category is rendering transparent, we shouldn't be flagging this as a lint error.

Event Timeline

ssastry created this task.Apr 13 2017, 4:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2017, 4:34 PM
ssastry triaged this task as High priority.Apr 14 2017, 6:23 PM
ssastry moved this task from Backlog to Next Up on the Parsoid board.

Change 348507 had a related patch set uploaded (by Subramanya Sastry):
[mediawiki/services/parsoid@master] T162919: Don't lint fostered rendering-transparent nodes

https://gerrit.wikimedia.org/r/348507

ssastry moved this task from Next Up to In Progress on the Parsoid board.Apr 17 2017, 7:06 PM

Change 348507 merged by jenkins-bot:
[mediawiki/services/parsoid@master] T162919: Don't lint fostered rendering-transparent nodes

https://gerrit.wikimedia.org/r/348507

ssastry closed this task as Resolved.Apr 18 2017, 10:34 PM
ssastry claimed this task.

Will be deployed next week.